Bug 504428

Summary: Dmraid results for PCI SIL 3124 Raid card
Product: [Fedora] Fedora Reporter: Rehan Khan <rehan.khan>
Component: dmraidAssignee: LVM and device-mapper development team <lvm-team>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: agk, anaconda-maint-list, bmr, dwysocha, hdegoede, heinzm, lvm-team, mbroz, prockai, rmaximo, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-01 06:27:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Dmraid output
none
anaconda.log
none
storage.log none

Description Rehan Khan 2009-06-06 18:09:50 EDT
Created attachment 346762 [details]
Dmraid output

Description of problem:
As requested the results of booting the may2009 boot.iso which fails to detect a raid1 configuration on a SIL 3124 PCI (fake)Raid card.

The setup is a Biostar Nforce2 motherboard with a SIL 3124 4port
Raid Card pci card with 2 250Gb hard drives attached. The drives are configured
with one 'legacy (bootable)' 100GB mirrored drive and a 132Gb mirrored drive
(this is using the language used in the Sil Windows utility). The 100Gb
mirrored drive has a 30Gb primary partition with Windows XP installed.

Version-Release number of selected component (if applicable):
MAY2009 boot.iso

How reproducible:
Seems to be every boot produces the same result (attempted three times)

Actual results:
See attached dmraid -a y -vvv output, anaconda.log and storage.log
Comment 1 Rehan Khan 2009-06-06 18:11:24 EDT
Created attachment 346763 [details]
anaconda.log
Comment 2 Rehan Khan 2009-06-06 18:11:56 EDT
Created attachment 346764 [details]
storage.log
Comment 3 Hans de Goede 2009-06-07 03:22:12 EDT
As is clearly shown by the dmraid output, dmraid does not recognize your
disks as part of a dmraid set. Until that is fixed there is nothing we
(the anaconda team) can do.

Changing component to dmraid.
Comment 4 Bug Zapper 2009-06-09 13:11:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 10:41:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping